Subject: Re: [Bitcoin-development] Why are we bleeding nodes?

From: Gregory Maxwell <[email-masked]>
Date: Mon, 7 Apr 2014 12:02:28 -0700

On Mon, Apr 7, 2014 at 12:00 PM, Tamas Blummer <[email-masked]> wrote:
> Once a single transaction in pruned in a block, the block is no longer
> eligible to be served to other nodes.
> Which transactions are pruned can be rather custom e.g. even depending on
> the wallet(s) of the node,
> therefore I guess it is more handy to return some bitmap of pruned/full
> blocks than ranges.

This isn't at all how pruning works in Bitcoin-QT  (nor is it how I
expect pruning to work for any mature implementation). Pruning can
work happily on a whole block at a time basis regardless if all the
transactions in it are spent or not.